<?php
$page = $_GET['page'];
$ar_page = 50;
$q = 1;
include 'config.php';
include 'sus.php';


if ($page == "") {
$q = 0;
$page = 1;
}

if ($page == 1) {
$q = 0;
} else {
$q = $ar_page * $page - $ar_page;
$ar_page = $q + $ar_page;
}


    $link = mysql_connect($baza['host'], $baza['user'], $baza['pass'])
        or die("Could not connect : " . mysql_error());
    mysql_select_db($baza['nume']) or die("Erorr! DataBase Name Incorectly!");
$d = mysql_query("SELECT id FROM $table");
$r = mysql_query("SELECT * FROM $table ORDER BY id DESC LIMIT $q , $ar_page");
?>
<br /><br /><br />
<table width="100%">
<tr><td width="5%">&nbsp;</td><td>
<center><h3><?=$lng['lista-titl']?></h3></center><br />
<ul class="battle-list">


<?php
	/*
		Place code to connect to your DB here.
	*/

	$tbl_name="sondaje";		//your table name
	// How many adjacent pages should be shown on each side?
	$adjacents = 10;
	
	/* 
	   First get total number of rows in data table. 
	   If you have a WHERE clause in your query, make sure you mirror it here.
	*/
	$query = "SELECT COUNT(*) as num  FROM $tbl_name";
	$total_pages = mysql_fetch_array(mysql_query($query));
	$total_pages = $total_pages[num];
	
	/* Setup vars for query. */
	$targetpage = "lista.php"; 	//your file name  (the name of this file)
	$limit = 50; 								//how many items to show per page
	$page = $_GET['page'];
	if($page) 
		$start = ($page - 2) * $limit; 			//first item to display on this page
	else
		$start = 0;								//if no page var is given, set start to 0
	
	/* Get data. */
	$sql = "SELECT * FROM $tbl_name ORDER BY id DESC LIMIT $start, $limit";
	$result = mysql_query($sql);
	
	/* Setup page vars for display. */
	if ($page == 0) $page = 1;					//if no page var is given, default to 1.
	$prev = $page - 1;							//previous page is page - 1
	$next = $page + 1;							//next page is page + 1
	$lastpage = ceil($total_pages/$limit);		//lastpage is = total pages / items per page, rounded up.
	$lpm1 = $lastpage - 1;						//last page minus 1
	
	/* 
		Now we apply our rules and draw the pagination object. 
		We're actually saving the code to a variable in case we want to draw it more than once.
	*/
	$pagination = "";
	if($lastpage > 1)
	{	
		$pagination .= "<div class=\"pagination\">";
		//previous button
		if ($page > 1) 
			$pagination.= "<a href=\"$targetpage?page=$prev\">« previous</a>";
		else
			$pagination.= "<span class=\"disabled\">« previous</span>";	
		
		//pages	
		if ($lastpage < 7 + ($adjacents * 2))	//not enough pages to bother breaking it up
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page)
					$pagination.= "<span class=\"current\">$counter</span>";
				else
					$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
			}
		}
		elseif($lastpage > 5 + ($adjacents * 2))	//enough pages to hide some
		{
			//close to beginning; only hide later pages
			if($page < 1 + ($adjacents * 2))		
			{
				for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage?page=$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage?page=$lastpage\">$lastpage</a>";		
			}
			//in middle; hide some front and some back
			elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
			{
				$pagination.= "<a href=\"$targetpage?browse\">1</a>";
				$pagination.= "<a href=\"$targetpage?page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage?page=$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage?page=$lastpage\">$lastpage</a>";		
			}
			//close to end; only hide early pages
			else
			{
				$pagination.= "<a href=\"$targetpage?browse\">1</a>";
				$pagination.= "<a href=\"$targetpage?page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
			}
		}
		
		//next button
		if ($page < $counter - 1) 
			$pagination.= "<a href=\"$targetpage?page=$next\">next »</a>";
		else
			$pagination.= "<span class=\"disabled\">next »</span>";
		$pagination.= "</div>\n";		
	}
?>

	<?php
		while($a = mysql_fetch_assoc($result))
		{
	
$intrebare = $a['intrebare'];
$nume = $a['nume'];
$oponent1 = $a['oponent1'];
$oponent2 = $a['oponent2'];
$img1 = $a['img1'];
$img2 = $a['img2'];
$com1 = $a['com1'];
$com2 = $a['com2'];
$email = $a['email'];
$pass = $a['pass'];
$vote1 = $a['votes1'];
$vote2 = $a['votes2'];
$id = $a['id'];
$date = $a['date'];

$ar1 = explode('|-|', $img1);
$ar2 = explode('|-|', $img2);

$img1 = $ar1[0];
$img2 = $ar2[0];

echo <<<HTML
	
	<center>	<li id="battle62" class="clr ">

	<div class="pics">
		<div class="pic1">
			
							<img width='50' height='50' src="$img1" />
						
			<div class="vote-1">
				$vote1			</div>

		</div>
		<div class="vs">
			vs		</div>

		<div class="pic2">
			
							<img width='50' height='50' src="$img2" />
							
			<div class="vote-2">
				$vote2			</div>
		</div>

	</div>
	
	<div class="title">
		<h2>

			<a href="/view_$id">
				$intrebare		</a>
		</h2>
		

				<small>$oponent1 vs $oponent2</small>

			
	</div>
	

<br><br><br>	
</li>
</center>
HTML;
	
		}
	?>

<?=$pagination?>
	


</h4>
</ul>
<br /><br /><br />
</td></td></table>

<style>
.one-half.last, .one-third.last, .two-thirds.last, .one-fourth.last, .three-fourths.last { 
margin-right: 0px;
 }
style.css:732
.one-fourth { 
width: 22%;
 }
style.css:727
.one-half, .one-third, .two-thirds, .one-fourth, .three-fourths { 
float: left;
margin-right: 4%;
 }
</style>







<?php
include 'jos.php';
?>
 
 